Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.emfstore.internal.ui
Class EMFStoreUIProvider

    java.lang.Object
      org.eclipse.emf.ecp.internal.core.util.Element
          org.eclipse.emf.ecp.spi.ui.DefaultUIProvider
              org.eclipse.emf.ecp.emfstore.internal.ui.EMFStoreUIProvider

All Implemented Interfaces:
  Comparable<ECPElement>, org.eclipse.core.runtime.IAdaptable, ECPElement, AdapterProvider, ECPDisposable, InternalRegistryElement, UIProvider

    public class EMFStoreUIProvider

extends DefaultUIProvider

This class provides EMFStore specific UI.

Author:
  Eugen Neufeld

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.spi.core.util.ECPDisposable
`ECPDisposable.DisposeListener`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.spi.ui.UIProvider
`EMF_LABEL_PROVIDER, TYPE`

Constructor Summary
`EMFStoreUIProvider()` The constructor.

Method Summary
`org.eclipse.swt.widgets.Control` | `createAddRepositoryUI(org.eclipse.swt.widgets.Composite parent, ECPProperties repositoryProperties, org.eclipse.swt.widgets.Text repositoryNameText, org.eclipse.swt.widgets.Text repositoryLabelText, org.eclipse.swt.widgets.Text repositoryDescriptionText)` The UIProvider can return its provider specific UI to allow the user to fill in provider specific data during the creation of an Repository.
`org.eclipse.swt.widgets.Control` | `createCheckoutUI(org.eclipse.swt.widgets.Composite parent, ECPCheckoutSource checkoutSource, ECPProperties projectProperties)` The UIProvider can return a provider specific UI to allow the user to fill in provider specific data for a checkout.
`
`<T> T`
` | `getAdapter(Object adaptable, Class<T> adapterType)`
`org.eclipse.swt.graphics.Image` | `getImage(Object element)` Returns the image for an element.
`String` | `getText(Object element)` Returns the name for an element.

Methods inherited from class org.eclipse.emf.ecp.spi.ui.DefaultUIProvider
`addDisposeListener, createNewProjectUI, dispose, fillContextMenu, getAdapter, getDescription, getLabel, getProvider, getType, isDisposed, removeDisposeListener, setDescription, setLabel`

Methods inherited from class org.eclipse.emf.ecp.internal.core.util.Element
`compareTo, equals, getName, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecp.core.util.ECPElement
`getName`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### EMFStoreUIProvider

    public EMFStoreUIProvider()

  The constructor.

Method Detail

### getAdapter

    public <T> T getAdapter(Object adaptable,
                            Class<T> adapterType)

  Description copied from class: `DefaultUIProvider`

  Specified by:
    `getAdapter` in interface `AdapterProvider`
  Overrides:
    `getAdapter` in class `DefaultUIProvider`

### createCheckoutUI

    public org.eclipse.swt.widgets.Control createCheckoutUI(org.eclipse.swt.widgets.Composite parent,
                                                            ECPCheckoutSource checkoutSource,
                                                            ECPProperties projectProperties)

  Description copied from class: `DefaultUIProvider`
  The UIProvider can return a provider specific UI to allow the user to fill in provider specific data for a checkout.

  Specified by:
    `createCheckoutUI` in interface `UIProvider`
  Overrides:
    `createCheckoutUI` in class `DefaultUIProvider`
  Parameters:
    `parent` - the `Composite` to fill
    `checkoutSource` - the Object to checkout
    `projectProperties` - the `ECPProperties` of the project to create
  Returns:
    the created control

### createAddRepositoryUI

    public org.eclipse.swt.widgets.Control createAddRepositoryUI(org.eclipse.swt.widgets.Composite parent,
                                                                 ECPProperties repositoryProperties,
                                                                 org.eclipse.swt.widgets.Text repositoryNameText,
                                                                 org.eclipse.swt.widgets.Text repositoryLabelText,
                                                                 org.eclipse.swt.widgets.Text repositoryDescriptionText)

  Description copied from class: `DefaultUIProvider`
  The UIProvider can return its provider specific UI to allow the user to fill in provider specific data during the creation of an Repository.

  Specified by:
    `createAddRepositoryUI` in interface `UIProvider`
  Overrides:
    `createAddRepositoryUI` in class `DefaultUIProvider`
  Parameters:
    `parent` - the `Composite` to fill
    `repositoryProperties` - the `ECPProperties` of the repository to create
    `repositoryNameText` - the `Text` widget handling the repository name
    `repositoryLabelText` - the `Text` widget handling the repository label
    `repositoryDescriptionText` - the `Text` widget handling the repository description
  Returns:
    the created control

### getText

    public String getText(Object element)

  Description copied from class: `DefaultUIProvider`
  Returns the name for an element.

  Specified by:
    `getText` in interface `UIProvider`
  Overrides:
    `getText` in class `DefaultUIProvider`
  Parameters:
    `element` - the object to return the name for
  Returns:
    the name of this element

### getImage

    public org.eclipse.swt.graphics.Image getImage(Object element)

  Description copied from class: `DefaultUIProvider`
  Returns the image for an element.

  Specified by:
    `getImage` in interface `UIProvider`
  Overrides:
    `getImage` in class `DefaultUIProvider`
  Parameters:
    `element` - the object to return the image for
  Returns:
    the name of this element

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.